AIGC raw video
Endpoint: POST https://4zapi.com/tencent-vod/v1/aigc-video
Tencent Cloud on-demand video generation.
Official document: https://cloud.tencent.com/document/product/266/126240
Request body (application/json)
model_name(string, required): Model name. Value: Hailuo: conch; Kling: Keling; Vidu; Example value: Hailuomodel_version(string, required): Model version. Values: When ModelName is Hailuo: H3, H3-Max; - H3: 4–15 s, resolution 768P / 2K (1080P is generated as 768P, 4K as 2K), aspect ratios 21:9, 16:9, 4:3, 1:1, 3:4, 9:16; supports text-to-video, image-to-video (first/last frame), and multimodal reference - H3-Max: fast version of H3, 5–15 s, resolution 480P / 768P; supports text-to-video and image-to-video (first/last frame), no reference media When ModelName is Kling: 1.6, 2.0, 2.1, 2.5, 2.6, O1, 3.0, 3.0-Omni; When ModelName is Vidu: q2, q2-pro, q2-turbo, q3-pro, q3-turbo; Example value: H3prompt(string, required): Promptenhance_prompt(string): Whether to automatically optimize prompt words. When turned on, incoming prompts will be automatically optimized to improve build quality. The values are: Enabled: turned on; Disabled: closed; Example value: Enabledext_info(object): Reserved fields, used for special purposes. Example value: myextinfofile_infos(array): A list of up to three asset images describing the asset images to be used by the model when generating the video. Models that support multi-image input: 1. GV, when using multi-image input, LastFrameFileId and LastFrameUrl cannot be used. 2. Vidu supports multi-image reference videos. Pictures 1-7 of the q2 model can be passed in through the ObjectId in FileInfos as the subject id. Note: 1. The image size should not exceed 10M. 2. Supported image formats: jpeg, png.last_frame_url(string): The media file URL used to generate the video as the end frame. Description: 1. Only models GV, Kling, and Vidu are supported. Other models are not supported yet. When ModelName is GV, if this parameter is specified, FileInfos must also be specified as the first frame of the video to be generated. This parameter can only be specified when the ModelName is Kling, the ModelVersion is 2.1 and the specified output resolution is 1080P. This parameter can be specified only when ModelName is Vidu and ModelVersion is q2-pro or q2-turbo. 2. The image size must be less than 5M. 3. 3. The value of the image format is: jpeg, jpg, png, webp. Example value: https://test.com/1.pngnegative_prompt(string): Prompt word to prevent the model from generating videos. Example value: redoutput_config(object): Output media file configuration for video generation tasks.scene_type(string): Scene type. The values are as follows: When ModelName is Kling: motion_control represents motion control; avatar_i2v represents digital person; lip_sync means lip sync; Other ModelNames are not supported yet. Example value: motion_controlsession_context(string): Source context, used to transparently transmit user request information. The audio and video quality regeneration completion callback will return the value of this field, with a maximum length of 1000 characters. Example value: mySessionContextsession_id(string): The identification code used for deduplication. If there is a request for the same identification code within three days, this request will return an error. The maximum length is 50 characters, without or with an empty string to indicate no deduplication. Example value: mysessiontasks_priority(string): The priority of the task. The larger the value, the higher the priority. The value range is -10 to 10. If left blank, it means 0. Example value: 10
Request example
{
"model_name": "Hailuo",
"model_version": "H3",
"output_config": {
"aspect_ratio": "16:9",
"duration": 6,
"resolution": "768P"
},
"prompt": "清晨的海边,一只金毛犬追着浪花奔跑,镜头缓慢跟随"
}